API referenceForums
Manage a forum and say what its status tags do.
PUT
/api/v1/servers/{guild}/forums/{forum}Authorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$forum*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/v1/servers/string/forums/string" \ -H "Content-Type: application/json" \ -d '{ "statuses": [ { "tag": "string", "reply": "string", "rewardRole": "string", "lock": true, "archiveAfter": 0 } ] }'{ "forum": "string", "name": "string", "managed": true, "defaultTag": "string", "defaultReaction": "string", "tags": [ { "id": "string", "name": "string", "emoji": "string", "moderated": true } ], "statuses": [ { "tag": "string", "reply": "string", "rewardRole": "string", "lock": true, "archiveAfter": 0 } ]}